//
//  LinkController.m
//  DigitalHumanCloudApp
//
//  Created by sunwen05 on 2021/12/9.
//  Copyright © 2021 sunwen05. All rights reserved.
//

#import "LinkController.h"

#import <DigitalHumanLib/DigitalHumanLib.h>

@interface LinkController () <DHWidgetWebViewDelegate>
@property (nonatomic, strong)DHWidgetWebView *widgetWebView;
@end

@implementation LinkController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    if (_url) {
        _widgetWebView = [[DHWidgetWebView alloc] initWithFrame:self.view.frame andUrl:_url];
        _widgetWebView.delegate = self;
        [self.view addSubview:_widgetWebView];
    }
    
    // 返回按钮
    UIButton *btn = [[UIButton alloc] initWithFrame:CGRectMake(10, 40, 50, 30)];
    [btn setTitle:@"<" forState:UIControlStateNormal];
    [btn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    btn.backgroundColor = [UIColor whiteColor];
    [btn addTarget:self action:@selector(handleGoBack) forControlEvents:UIControlEventTouchDown];
    [self.view addSubview:btn];
}

- (void)viewWillDisappear:(BOOL)animated {
    if (_widgetWebView) {
        _widgetWebView.delegate = nil;
        _widgetWebView = nil;
    }
}

- (void)handleGoBack {
    [self.navigationController popViewControllerAnimated:YES];
}

@end
