//
//  LoginController.m
//  DigitalHumanCloudApp
//
//  Created by sunwen05 on 2020/5/6.
//  Copyright © 2020 sunwen05. All rights reserved.
//

#import "LoginController.h"
#import <DigitalHumanLib/DigitalHumanLib.h>

#import "UIView+Toast.h"
#import "CloudController.h"

@interface LoginController () <DHWidgetWebViewDelegate>

@property (nonatomic, strong)DHWidgetWebView *loginView;
@property (nonatomic, strong)CloudController *cloudView;

@end

@implementation LoginController
- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"数字人";
    self.view.backgroundColor = [UIColor whiteColor];

    // add Login
    NSURL *baseUrl = [NSURL fileURLWithPath:[NSString stringWithFormat:@"%@/", [[NSBundle mainBundle] bundlePath]]];
    NSString *path = [[NSBundle mainBundle] pathForResource:@"index" ofType:@"html"];

    NSString *content = [NSString stringWithContentsOfFile:path encoding:NSUTF8StringEncoding error:nil];
    CGRect widgetFrame = CGRectMake(0, 40, self.view.frame.size.width, self.view.frame.size.height - 40);
    _loginView = [[DHWidgetWebView alloc]initWithFrame:widgetFrame andFileContent:content andBaseUrl:baseUrl];
    _loginView.delegate = self;
    [self.view addSubview:_loginView];
}

#pragma mark-- WidgetWebViewDelegate委托实现
- (void)handleReceiveMessage:(nonnull NSString *)message {
    NSDictionary *messageMap = [DHJsonUtil formatStringToDictionary:message];
    if ([[messageMap objectForKey:@"type"] isEqual:@"CONNECT"]) {
        NSDictionary *content = [DHJsonUtil formatStringToDictionary:[messageMap objectForKey:@"content"]];
        NSDictionary *parameters = [content objectForKey:@"parameters"];
        DigitalHumanCloudSettings *settings = [[DigitalHumanCloudSettings alloc]initWithDictionary:parameters];
        settings.appId = [content objectForKey:@"appId"];
        settings.appKey = [content objectForKey:@"appKey"];
        settings.token = [content objectForKey:@"token"];

        [DHLogger log:@"APP-login settings: %@", settings];
        [DHLogger log:@"APP-login localVideoPreview: %d", [[parameters objectForKey:@"localVideoPreview"] boolValue]];

        _cloudView = [[CloudController alloc] init];
        _cloudView.settings = settings;
        _cloudView.localVideoPreview = [[parameters objectForKey:@"localVideoPreview"] boolValue];
        [self.navigationController pushViewController:_cloudView animated:YES];
    }
}

- (void)loadFinish {
    
}

- (void)setWebViewConfig:(nonnull WKWebViewConfiguration *)config {
    [config setValue:@(YES) forKey:@"allowUniversalAccessFromFileURLs"];

    WKPreferences *preferences = [[WKPreferences alloc] init];
    [preferences setValue:@(YES) forKey:@"allowFileAccessFromFileURLs"];
    config.preferences = preferences;

}

@end
