//
//  Request.h
//  DigitalHumanLib
//
//  Created by sunwen05 on 2021/2/22.
//  Copyright © 2021 sunwen05. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

// 请求成功回调
typedef void(^RequestSuccessBlock)(NSString * _Nullable res, NSURLResponse * _Nullable response);
// 请求失败回调
typedef void(^RequestErrorBlock)(NSError * _Nullable error);
// 请求完成回调
typedef void(^RequestCompleteBlock)(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error);

@interface DHRequest : NSObject
+ (void)post:(NSString *)urlStr withParams:(NSDictionary *)params success:(RequestSuccessBlock)successHandler error:(RequestErrorBlock)errorHandler complete:(RequestCompleteBlock)completeHandler;
+ (void)send:(NSString *)method andURl:(NSString *)urlStr withParams:(NSDictionary *)params success:(RequestSuccessBlock)successHandler error:(RequestErrorBlock)errorHandler complete:(RequestCompleteBlock)completeHandler;
+ (void)formdata:(NSString *)urlStr withParams:(NSDictionary *)params success:(RequestSuccessBlock)successHandler error:(RequestErrorBlock)errorHandler complete:(RequestCompleteBlock)completeHandler;
@end

NS_ASSUME_NONNULL_END
