//
//  RTCRemoteVideoView.h
//  rtc_sdk_ios
//
//  Created by Sun,Jian(ACU-T102) on 2018/11/29.
//  Copyright © 2018年 Sun,Jian(ACU-T102). All rights reserved.
//
#ifndef RTCRemoteVideoView_h
#define RTCRemoteVideoView_h
#import <UIKit/UIKit.h>
#import "BRTCCommonDefine.h"
#import <BaiduRtcRoom/BaiduRtcRoomApiDefines.h>

@class RTCRemoteVideoView;

@protocol RTCRemoteVideoViewDelegate
- (void)remoteVideoView:(RTCRemoteVideoView *)videoView didChangeVideoSize:(CGSize)size;
@end

@interface RTCRemoteVideoView : NSObject
@property (nonatomic, strong) __kindof UIView <BRTCVideoRenderer> *videoView;
@property (nonatomic, weak) id <RTCRemoteVideoViewDelegate> videoViewDelegate;
@property (nonatomic, assign) RTCVideoViewScaleMode rtcVideoViewMode;
@property (nonatomic, assign) CGSize videoResolution;
@property (nonatomic, assign) NSInteger userId;
- (instancetype)initWithDelegate:(id<RTCRemoteVideoViewDelegate>)delegate;
@end

#endif /* RTCRemoteVideoView_h */
