//
//  ArrayBuffer.h
//  AlitaCamera
//
//  Created by sunwen05 on 2021/4/22.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol DHArrayBufferDelegate;

/**
 DigitalHumanEvent
 
 @discussion 数字人error状态码
 */
typedef NS_ENUM(int, ArrayBufferType) {
    ARRAY_BUFFER_START = 0,
    ARRAY_BUFFER_CENTER,
    ARRAY_BUFFER_LAST
};

@interface DHArrayBuffer : NSObject

@property (nonatomic, assign)id<DHArrayBufferDelegate> delegate;
- (instancetype)initWithMaxSize:(int)length;
- (void)append:(NSData *)data;
- (void)stop;

@end

#pragma mark -- DHArrayBufferDelegate
@protocol DHArrayBufferDelegate <NSObject>

- (void)onArrayBufferAppendFinish:(NSData *)data;

@end

NS_ASSUME_NONNULL_END
