//
//  Logger.h
//  DigitalHumanLib
//
//  Created by sunwen05 on 2020/9/15.
//  Copyright © 2020 sunwen05. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(int, LogLevel) {
    DEBUG_LEVEL,
    LOG_LEVEL,
    WARN_LEVEL,
    ERROR_LEVEL,
    QUIET_LEVEL
};

typedef void(^ErrorLogBlock)(NSString *tag, NSString *message);
typedef void(^WarnLogBlock)(NSString *tag, NSString *message);
typedef void(^InfoLogBlock)(NSString *tag, NSString *message);
typedef void(^DebugLogBlock)(NSString *tag, NSString *message);

@interface DHLogger : NSObject

+ (void)debug:(NSString *)format, ...;
+ (void)log:(NSString *)format, ...;
+ (void)warn:(NSString *)format, ...;
+ (void)error:(NSString *)format, ...;
+ (void)setLevel:(LogLevel)l;
+ (LogLevel)getCallbackLevel;
+ (void)setLogDelegateWithError:(ErrorLogBlock)error
                        andWarn:(WarnLogBlock)warn
                        andInfo:(InfoLogBlock)info
                       andDebug:(DebugLogBlock)debug;
@end

NS_ASSUME_NONNULL_END
